Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517358 - Expired Google OAuth2 token not refreshed
Summary: Expired Google OAuth2 token not refreshed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 16:22 UTC by Gary Meerschaert
Modified: 2017-12-10 05:06 UTC (History)
7 users (show)

Fixed In Version: evolution-data-server-3.26.2.1-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 05:06:13 UTC


Attachments (Terms of Use)
Screen shot of Evolution presenting bug (deleted)
2017-11-24 16:22 UTC, Gary Meerschaert
no flags Details
lshw output (deleted)
2017-11-24 16:23 UTC, Gary Meerschaert
no flags Details
Messages from evolution run from command line (deleted)
2017-11-25 02:56 UTC, Gary Meerschaert
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 790267 None None None 2017-11-27 10:05:49 UTC

Description Gary Meerschaert 2017-11-24 16:22:14 UTC
Created attachment 1358696 [details]
Screen shot of Evolution presenting bug

Description of problem:
Evolution fails to load mail. It reports “You must be working online to complete this operation”. even though the system is on-line.

Version-Release number of selected component (if applicable):
3.26.2 (3.26.2-1.fc27)

How reproducible:
Happens every time

Steps to Reproduce:
1. Start Evolution
2. Message appears for one or more mail accounts
3.

Actual results:
Evolution fails to load messages for one or more mail accounts

Expected results:
Evolution loads mail from all mail accounts

Additional info:
I have 4 different gmail accounts for differing purposes. Before the upgrade to Fedora 27 there was no issue. After the upgrade Evolution fails to load one or more accounts. It always loads the first account, but fails to load load one or more of the other accounts, and not always the same accounts. 

Based on old bug reports I have deleted the Network Manager. This fails to improve the situation.

uname -a reports:
Linux system1 4.13.13-300.fc27.x86_64 #1 SMP Wed Nov 15 15:47:50 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

screen shot of error attached
lshw report attached

Comment 1 Gary Meerschaert 2017-11-24 16:23:29 UTC
Created attachment 1358697 [details]
lshw output

Output from lshw

Comment 2 Gary Meerschaert 2017-11-25 02:56:27 UTC
Created attachment 1358872 [details]
Messages from evolution run from command line

Comment 3 Milan Crha 2017-11-27 10:05:29 UTC
Thanks for a bug report. The summary is not accurate, as you are not accessing different servers, but only one, the Google mail server. That's only a nitpick. This issue is currently known upstream [1]. I'll backport related fixes and do an update, as 3.26.3 is going out in two weeks. Bug #1515776 can be also related.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=790267

Comment 4 Fedora Update System 2017-11-27 10:43:32 UTC
evolution-data-server-3.26.2.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7888b2a7c4

Comment 5 Fedora Update System 2017-11-28 06:45:55 UTC
evolution-data-server-3.26.2.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7888b2a7c4

Comment 6 Fedora Update System 2017-12-10 05:06:13 UTC
evolution-data-server-3.26.2.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.